# ai_waypoint.cpp File Reference

Implementation of AIWaypoint. More...

`#include "ai_waypoint.hpp"`
`#include "ai_rail.hpp"`
`#include "../../command_func.h"`
`#include "../../string_func.h"`
`#include "../../strings_func.h"`
`#include "../../company_func.h"`
`#include "../../waypoint.h"`
`#include "../../core/alloc_func.hpp"`
`#include "table/strings.h"`

Go to the source code of this file.

## Detailed Description

Implementation of AIWaypoint.

Definition in file ai_waypoint.cpp.